//
//  WViewController.m
//  TargetActionPattern
//
//  Created by wzrong on 13-7-26.
//  Copyright (c) 2013年 wzrong. All rights reserved.
//

#import "WViewController.h"

@interface WViewController ()

@end

@implementation WViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // 给炒菜按钮添加点击事件
    // 使用Target-action设计模式，在两个对象间直接发送消息
    [self.btnCooking addTarget:self action:@selector(pressCooking:) forControlEvents:UIControlEventTouchUpInside];
    
    // 实例化按钮，并设置按钮类型为圆角
    UIButton *btnCustom = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    // 设置按钮大小
    btnCustom.frame = CGRectMake(124, 140, 73, 44);
    // 设置按钮标题
    [btnCustom setTitle:@"点击我..." forState:UIControlStateNormal];
    // 设置按钮点击事件
    [btnCustom addTarget:self action:@selector(customButton) forControlEvents:UIControlEventTouchUpInside];
    // 将按钮添加到View
    [self.view addSubview:btnCustom];
}

/**
 自定义按钮点击方法
 */
- (void)customButton{
    [self.lblDish setText:self.txtMaterial.text];
}

/**
 按下按钮 开始烹饪
 */
- (IBAction)pressCooking:(id)sender {
    [self.lblDish setText:self.txtMaterial.text];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidUnload {
    [self setTxtMaterial:nil];
    [self setLblDish:nil];
    [self setBtnCooking:nil];
    [super viewDidUnload];
}

@end
